package com.qmth.teachcloud.mark.enums;

/**
 * 文件管理支持的格式类型
 */
public enum FormatType {

    JPG, JSON, PDF, ZIP;

    public String getExtName() {
        return toString().toLowerCase();
    }

    public static FormatType findByText(String text) {
        for (FormatType type : values()) {
            if (type.toString().equalsIgnoreCase(text)) {
                return type;
            }
        }
        return null;
    }
}
